> ## Documentation Index
> Fetch the complete documentation index at: https://docs.storeindexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /companies/{company_id}

> Get a single company by its ID.



## OpenAPI

````yaml https://api.storeindexer.com/openapi.json get /companies/{company_id}
openapi: 3.1.0
info:
  title: Store Indexer API
  description: Store Indexer API
  version: 0.1.0
servers:
  - url: https://api.storeindexer.com/
    description: Store Indexer API
security: []
paths:
  /companies/{company_id}:
    get:
      tags:
        - Companies
      summary: /companies/{company_id}
      description: Get a single company by its ID.
      operationId: query_one_company_route_companies__company_id__get
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            title: Company Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyDto'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CompanyDto:
      properties:
        company_id:
          type: string
          title: Company Id
        name:
          type: string
          title: Name
        domain:
          type: string
          title: Domain
        parent_company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Company Id
      type: object
      required:
        - company_id
        - name
        - domain
      title: CompanyDto
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````